<?php
/**
 * Plugin Name: Sprout Invoices Add-on - Twilio SMS Notifications
 * Plugin URI: https://sproutinvoices.com
 * Description: Allows for Invoice Notifications to be sent to Clients using the Number field in the Client Info
 * Author: Thomas Deer
 * Version: 1
 * ID: 0
 * Author URI: https://thomasdeer.co.uk
 * Short Name: Twilio
 * Settings ID: 52
 */

/**
 * Plugin Info for updates
 */
define( 'SA_ADDON_TWILIO_NOTIFICATIONS', '1' );
define( 'SA_ADDON_TWILIO_NOTIFICATIONS_DOWNLOAD_ID', 0 );
define( 'SA_ADDON_TWILIO_NOTIFICATIONS_NAME', 'Sprout Invoices Twilio SMS Notifications' );
define( 'SA_ADDON_TWILIO_NOTIFICATIONS_FILE', __FILE__ );
define( 'SA_ADDON_TWILIO_NOTIFICATIONS_PATH', dirname( __FILE__ ) );
define( 'SA_ADDON_TWILIO_NOTIFICATIONS_URL', plugins_url( '', __FILE__ ) );

if ( ! defined( 'SI_DEV' ) ) {
	define( 'SI_DEV', false );
}

// Load up after SI is loaded.
add_action( 'sprout_invoices_loaded', 'sa_twilio_sms_notifications_addon' );

/**
 * Loads the addon into Sprout Invoices
 *
 * @return void
 */
function sa_twilio_sms_notifications_addon() {
	if ( class_exists( 'Twilio_Notifications' ) ) {
		return;
	}
	require_once 'vendor/autoload.php';
	require_once 'inc/Twilio_Notifications.php';
	SI_Twilio_Notifications::init();
}
