<?php
	// Enqueue Vue.js
	if ( SI_DEV ) {
		wp_enqueue_script( 'sprout-invoices-vue', SI_URL . '/resources/admin/js/vue.js', array(), self::SI_VERSION, false );
	} else {
		wp_enqueue_script( 'sprout-invoices-vue', SI_URL . '/resources/admin/js/vue.min.js', array(), self::SI_VERSION, false );
	}
?>
<div id="si_woo_product_vue">
	<span id="show-modal si_woo_product_button" class="button" v-on:click="showWooProductModal"><?php esc_html_e( 'Add Product', 'sprout-invoices' ); ?></span>
	<div v-cloak>
		<div id="si-woo-modal" v-if="showModal">
			<div id="si_woo_product_modal" class="si-woo-modal si-modal-container">
				<div class="si-woo-product-content">
					<span class="si-woo-close button" v-on:click="closeWooProductModal">&times;</span>
					<h1><?php esc_html_e( 'Add Wocommerce Product', 'sprout-invoices' ); ?></h1>
					<div class="si-modal-form">
						<div class="si-modal-options">
							<label for="si-woo-product"><?php esc_html_e( 'Select a Product', 'sprout-invoices' ); ?></label>
							<select2 id="si-woo-product" :option="products" class="si-form-input" v-model="selectedProduct" v-on:change="loadProductVariations(selectedProduct)">
								<option v-for="( product, index ) in products" :value="index">
									{{ product.name }} . {{ product.short_desc }}
								</option>
							</select2>
						</div>
						<div class="si-modal-options" v-if='variable' v-for="( variationInfo, index ) in variableInfo" :key="index">
							<label v-bind:for="index">{{ variationInfo.name }}</label>
							<select class="si-form-input" v-bind:id="index" v-model="variableSelection[index]">
								<option v-for="( option in variationInfo.options" :value="option">{{ option }}</option>
							</select>
						</div>
						<div class="si-modal-options">
							<label for="si-woo-product-qty"><?php esc_html_e( 'Quantity', 'sprout-invoices' ); ?> : </label>
							<input id="si-woo-product-qty" class="si-form-input" v-model.number="qty" />
						</div>
						<span class="si-woo-add-product button button-primary"  v-on:click="addProduct()"><?php esc_html_e( 'Add Product', 'sprout-invoices' ); ?></span>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
