<?php
/**
 * Plugin Name: Sprout Invoices Add-on - Paypal Payments
 * Plugin URI: https://sproutinvoices.com/marketplace/paypal-payments-express-checkout/
 * Description: PayPal Payments with Sprout Invoices. Accept payments via PayPal Checkout and/or Credit/debit cards.
 * Author: Sprout Invoices
 * Version: 1.0.0
 * Author URI: https://sproutinvoices.com
 * Requires PHP: 7.2
 * Sprout requires at least: 3.9
 * WC tested up to: 8.1
 * Text Domain: woocommerce-paypal-payments
 *
 * @package Sprout_Invoices\PayPalPayments
 */

/**
 * Plugin File
 */
define( 'SA_ADDON_PAYPAL_VERSION', '1.0.1' );
define( 'SA_ADDON_PAYPAL_DOWNLOAD_ID', 0 );
define( 'SA_ADDON_PAYPAL_FILE', __FILE__ );
define( 'SA_ADDON_PAYPAL_NAME', 'Sprout Invoices PayPal Payments' );

if ( ! defined( 'SA_ADDON_PAYPAL_URL' ) ) {
	define( 'SA_ADDON_PAYPAL_URL', plugins_url( '', __FILE__ ) );
}

// Load up the processor before updates
add_action( 'si_payment_processors_loaded', 'sa_load_paypal' );

/**
 * Load up the processor
 *
 * @since 1.0.0
 *
 * @return void
 */
function sa_load_paypal() {
	require_once 'si-paypal-checkout.php';
}

add_action( 'sprout_invoices_loaded', 'sa_load_paypal_updates' );

/**
 * Load up the updater after si is completely loaded
 *
 * @since 1.0.0
 *
 * @return void
 */
function sa_load_square_updates() {
	if ( class_exists( 'SI_Updates' ) ) {
		require_once 'inc/sa-updates/SA_Updates.php';
	}
}
