/**
 * Stripe Checkout JS File.
 *
 * @since 20.6.1
 *
 * @package Sprout Invoices
 * @subpackage Stripe Checkout
 */

jQuery( document ).ready( function( $ ) {

    /**
     * Stripe Checkout Redirect Button Click.
     *
     * This adds a spinner to the Stripe Checkout redirect button when it is clicked.
     * Ensures that the user knows that the button has been clicked and that the page redirect is in progress.
     * While spinning, POST request is made to server to get the Stripe Checkout URL.
     *
     * @since 20.6.1
     */
    $( '#stripe_checkout_button' ).on( 'click', function() {
        $( this )
            .hide()
            .after( si_js_object.inline_spinner );

        $.post(
            si_js_object.ajax_url,
            {
                action: 'si_stripe_checkout',
                data: {
                    invoice_id: si_js_object.invoice_id,
                    nonce: si_js_object.security
                }
            },
            function( response ) {
                window.location.replace( response.data.url );
            }
        );
	} );
} );
