<article class="type_addon si-card" v-bind:class="{ activated : vm.<?php echo esc_attr( $vm_key ); ?> == true }">
	<div class="section" v-bind:class="{ activating : isSaving == true }">
		<div class="si-card-title">
			<strong><?php echo wp_kses( $title, wp_kses_allowed_html( 'post' ) ); ?></strong>
		</div>
		<div class="si-card-icon">
			<div class="img_wrap">
				<input type="checkbox" name='<?php echo esc_attr( $name ); ?>' id="<?php echo esc_attr( $key ); ?>" class="si_addon_checkbox" v-model.lazy="vm.<?php echo esc_attr( $vm_key );  ?>" v-on:change="activateAddOn( '<?php echo esc_attr( $key ) ?>', $event )" /><label for="<?php echo esc_attr( $key ) ?>"><img src="<?php echo esc_attr( $img )  ?>" /></label>
				<div class="addon_status">
					<span v-if="vm.<?php echo esc_attr( $vm_key ); ?> == true"><span class="dashicons dashicons-yes"></span><?php esc_html_e( 'Enabled', 'sprout-invoices' ); ?></span>
					<span v-else><span class="dashicons dashicons-no"></span><?php esc_html_e( 'Disabled', 'sprout-invoices' ); ?></span>
				</div>
			</div>
		</div>
		<div class="si-card-footer">
			<div class="addon_description">
				<div class="addon_description">
					<?php echo wp_kses( $description, wp_kses_allowed_html( 'post' ) ); ?>
				</div>
			</div>
		</div>
		<div id="button_<?php echo esc_attr( $key ) ?>" class="si-card-links">
			<div class="addon_info_link">
				<a href="<?php echo esc_url( si_get_sa_link( $url, 'add-ons' ) ); ?>" class="si-button" target="_blank"><?php esc_html_e( 'Learn More', 'sprout-invoices' ); ?></a>
			</div>
			<?php if ( ! empty( $settings_link[ $key ] ) ) : ?>
				<div class="settings_<?php echo esc_attr( $details['settingID'] ); ?>">
					<a class="button button-primary" href="<?php echo esc_url( admin_url( 'admin.php?page=' . $settings_link[ $key ] ) ); ?>"><?php esc_html_e( 'Settings', 'sprout-invoices' ); ?></a>
				</div>
			<?php else : ?>
				<div class="settings_<?php echo esc_attr( $details['settingID'] ); ?>">
					<a href="#<?php echo esc_attr( $details['settingID'] ); ?>" class="si-settings-link button button-primary" v-on:click="makeTabActive('<?php echo esc_attr( $details['settingID'] ); ?>')" v-bind:class="{ active : isActiveTab(<?php echo esc_attr( $details['settingID'] ); ?>) == true }"><?php esc_html_e( 'Settings', 'sprout-invoices' ); ?></a>
				</div>
			<?php endif ?>
		</div>
	</div>
</article>
