<dl id="history_list">

	<dt>
		<span class="history_status creation_event"><?php esc_html_e( 'Created', 'sprout-invoices' ); ?></span><br/>
		<span class="history_date"><?php echo esc_html( date_i18n( get_option( 'date_format' ) . ' @ ' . get_option( 'time_format' ), strtotime( $post->post_date ), true ) ); ?></span>
	</dt>

	<dd><p>
		<?php if ( ! empty( $submission_fields ) ) : ?>
			<?php if ( $invoice->get_client_id() ) : ?>
				<?php
					printf(
					// translators: 1: opening a tag, 2: invoice client link, 3: closing href, 4: client name, 5: closing a tag.
					esc_html__( 'Submitted by %1$s%2$s%3$s%4$s', 'sprout-invoices' ),
					'<a href="',
					esc_url( get_edit_post_link( $invoice->get_client_id() ) ),
					'">',
					esc_html( get_the_title( $invoice->get_client_id() ) ),
					'</a>'
					)
				?>
			<?php else : ?>
				<?php esc_html_e( 'Submitted', 'sprout-invoices' ); ?>
			<?php endif ?>
		<?php elseif ( is_a( $post, 'WP_Post' ) ) : ?>
			<?php $user = get_userdata( $post->post_author ); ?>
			<?php if ( is_a( $user, 'WP_User' ) ) : ?>
				<?php
					printf(
					// translators: 1: users WP display name.
					esc_html__( 'Added by %s', 'sprout-invoices' ),
					esc_html( $user->display_name )
					)
				?>
			<?php endif ?>
		<?php else : ?>
			<?php esc_html_e( 'Added by SI', 'sprout-invoices' ); ?>
		<?php endif ?>
	</p></dd>

	<?php foreach ( $history as $item_id => $data ) : ?>
		<dt class="record record-<?php echo esc_attr( $item_id ); ?>">
			<span class="history_deletion"><button data-id="<?php echo esc_attr( $item_id ); ?>" class="delete_record del_button">X</button></span>
			<span class="history_status <?php echo esc_attr( $data['status_type'] ); ?>"><?php echo esc_html( $data['type'] ); ?></span><br/>
			<span class="history_date"><?php echo esc_html( date_i18n( get_option( 'date_format' ) . ' @ ' . get_option( 'time_format' ), strtotime( $data['post_date'] ), true ) ); ?></span>
		</dt>
		<?php
		$wp_kses_history =
			array(
				'p' => array(),
				'b' => array(),
			)
		?>
		<dd class="record record-<?php echo esc_attr( $item_id ); ?>">
			<?php if ( SI_Notifications::RECORD === $data['status_type'] ) : ?>
				<p>
					<?php echo esc_html( $data['update_title'] ); ?>
					<br/><a href="#TB_inline?width=600&height=380&inlineId=notification_message_<?php echo (int) $item_id; ?>" id="show_notification_tb_link_<?php echo (int) $item_id; ?>" class="thickbox si_tooltip notification_message" title="<?php esc_html_e( 'View Message', 'sprout-invoices' ); ?>"><?php esc_html_e( 'View Message', 'sprout-invoices' ); ?></a>
				</p>
				<div id="notification_message_<?php echo esc_attr( $item_id ); ?>" class="cloak">
					<?php echo wp_kses_post( wpautop( $data['content'] ) ); ?>
				</div>
			<?php elseif ( function_exists( 'GetSignatureImage' ) && 'si_esignature' === $data['status_type'] ) : ?>
				<p>
					<?php echo esc_html( $data['update_title'] ); ?>
					<br/>
					<?php echo wp_kses_post( $data['content'] ); ?>
				</p>
			<?php elseif ( SI_Importer::RECORD === $data['status_type'] ) : ?>
				<p>
					<?php echo esc_html( $data['update_title'] ); ?>
					<br/><a href="#TB_inline?width=600&height=380&inlineId=notification_message_<?php echo esc_attr( $item_id ); ?>" id="show_notification_tb_link_<?php echo (int) $item_id; ?>" class="thickbox si_tooltip notification_message" title="<?php esc_html_e( 'View Data', 'sprout-invoices' ); ?>"><?php esc_html_e( 'View Data', 'sprout-invoices' ); ?></a>
				</p>
				<div id="notification_message_<?php echo esc_attr( $item_id ); ?>" class="cloak">
					<?php prp( json_decode( stripslashes_from_strings_only( $data['content'] ) ) ); ?>
				</div>
			<?php elseif ( SI_Controller::PRIVATE_NOTES_TYPE === $data['status_type'] ) : ?>
				<?php echo wp_kses_post( wpautop( $data['content'] ) ); ?>
				<p>
					<a class="thickbox si_tooltip edit_private_note" href="<?php echo esc_url( admin_url( 'admin-ajax.php?action=si_edit_private_note_view&width=600&height=350&note_id=' . $item_id ) ); ?>" id="show_edit_private_note_tb_link_<?php echo (int) $item_id; ?>" title="<?php esc_html_e( 'Edit Note', 'sprout-invoices' ); ?>"><?php esc_html_e( 'Edit', 'sprout-invoices' ); ?></a>
				</p>
			<?php elseif ( SI_Invoices::VIEWED_STATUS_UPDATE === $data['status_type'] ) : ?>
				<p>
					<?php echo esc_html( $data['update_title'] ); ?>
				</p>
			<?php else : ?>
				<?php echo wp_kses_post( wpautop( $data['content'] ) ); ?>
			<?php endif ?>
		</dd>
	<?php endforeach ?>

</dl>

<div id="private_note_wrap">
	<p>
		<textarea id="private_note" name="private_note" class="clearfix"></textarea>
		<a href="javascript:void(0)" id="save_private_note" class="button" data-post-id="<?php the_ID(); ?>" data-nonce="<?php echo esc_attr( wp_create_nonce( SI_Internal_Records::NONCE ) ); ?>"><?php esc_html_e( 'Save', 'sprout-invoices' ); ?></a> <span class="helptip" title="<?php esc_html_e( 'These private notes will be added to the history.', 'sprout-invoices' ); ?>"></span>
	</p>
</div>
