<?php do_action( 'si_settings_page_reports_sub_heading', 'estimates' ); ?>
<div class="tablenav top">
	<div class="alignleft">
		<label><?php esc_html_e( 'From: ', 'sprout-invoices' ) ?><input type="date" name="start_date" id="start_date" value=""></label>
		<label><?php esc_html_e( 'To: ', 'sprout-invoices' ) ?><input type="date" name="end_date" id="end_date" value=""></label>
	</div>
</div>
<table id="si_reports_table" class="stripe hover wp-list-table widefat">
	<thead>
		<tr>
			<th><?php esc_html_e( 'ID', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Status', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Issue Date', 'sprout-invoices' ) ?></th>
			<th class="row-title"><?php esc_html_e( 'Subject', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Invoice', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Client', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Total', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Subtotal', 'sprout-invoices' ) ?></th>
		</tr>
	</thead>
	<tbody>
		<?php
			$table_total_estimated = 0;
			$table_subtotal = 0;

			$filter = ( isset( $_REQUEST['post_status'] ) ) ? sanitize_text_field( wp_unslash( $_REQUEST['post_status'] ) ) : 'any';

			$showpage = ( isset( $_GET['showpage'] ) ) ? (int) $_GET['showpage'] + 1 : 1 ;
			$args = array(
				'post_type' => SI_Estimate::POST_TYPE,
				'post_status' => $filter,
				'posts_per_page' => apply_filters( 'si_reports_show_records', 2500, 'estimates' ),
				'paged' => $showpage,
				);

			set_time_limit( 0 ); // run script forever
			// Add a progress bar to show table record collection.
			echo '<tr class="odd" id="progress_row"><td valign="top" colspan="8" class="dataTables_empty"><div id="rows_progress" style="width:100%;border:1px solid #ccc;"></div> <div id="table_progress">'.esc_html__( 'Preparing rows...', 'sprout-invoices' ).'</div></td></tr>';

			$records = new WP_Query( $args );

			$i = 0;
			while ( $records->have_posts() ) : $records->the_post();

				// Calculate the percentage
				$i++;
				$percent = intval( $i / $records->found_posts * 100 ).'%';
				// Javascript for updating the progress bar and information
				echo '<script language="javascript" id="progress_js">
				document.getElementById("rows_progress").innerHTML="<div style=\"width:'. esc_attr( $percent ).';background-color:#ddd;\">&nbsp;</div>";
				document.getElementById("table_progress").innerHTML="'.
				// translators: 1: total records to add, 2: records added.
				sprintf( esc_html__( '%o records(s) of %o added.', 'sprout-invoices' ), esc_html( $i ), esc_html( $records->found_posts ) ).'";
				document.getElementById("progress_js").remove();
				</script>';

				$table_total_estimated += si_get_estimate_total();
				$table_subtotal += si_get_estimate_subtotal();
				$invoice_name = ( si_get_estimate_invoice_id() ) ? sprintf( '<a href="%s">%s</a>', get_edit_post_link( si_get_estimate_invoice_id() ), get_the_title( si_get_estimate_invoice_id() ) ) : esc_html__( 'N/A', 'sprout-invoices' );
				$client_name = ( si_get_estimate_client_id() ) ? sprintf( '<a href="%s">%s</a>', get_edit_post_link( si_get_estimate_client_id() ), get_the_title( si_get_estimate_client_id() ) ) : esc_html__( 'N/A', 'sprout-invoices' ); ?>
				<tr>
					<td><?php echo esc_html( si_get_estimate_id( get_the_id() ) ) ?></td>
					<td><span class="si_status estimate_status <?php si_estimate_status() ?>"><?php si_estimate_status() ?></span></td>
					<td><?php si_estimate_issue_date() ?></td>
					<td><?php printf( '<a href="%s">%s</a>', esc_url( get_edit_post_link( get_the_ID() ) ), esc_html( get_the_title( get_the_ID() ) ) ) ?></td>
					<td><?php echo wp_kses( $invoice_name, SI_Settings_API::get_allowed_html() ); ?></td>
					<td><?php echo wp_kses( $client_name, SI_Settings_API::get_allowed_html() ); ?></td>
					<td><?php si_estimate_total() ?></td>
					<td><?php si_estimate_subtotal() ?></td>
				</tr>
				<?php
				// Send output to browser immediately
				flush();
			endwhile;
			// Remove progress row
			echo '<script language="javascript">document.getElementById("progress_row").remove();</script>'; ?>

	</tbody>
	<tfoot>
		<tr>
			<th colspan="6"><?php esc_html_e( 'Totals', 'sprout-invoices' ) ?></th>
			<th><span id="footer_total_estimated"></span>&nbsp;
				<?php
					printf(
					// translators: 1: total estimated.
					esc_html__( '(of %s)', 'sprout-invoices' ),
					esc_html( sa_get_formatted_money( $table_total_estimated ) )
					)
				?>
			</th>
			<th><span id="footer_total_subtotal"></span>&nbsp;
				<?php
					printf(
					// translators: 1: subtotal.
					esc_html__( '(of %s)', 'sprout-invoices' ),
					esc_html( sa_get_formatted_money( $table_subtotal ) )
					)
				?>
			</th>
		</tr>
	</tfoot>
</table>

<script type="text/javascript" charset="utf-8">
	jQuery(function($) {
		$(document).ready(function() {
			var table = $('#si_reports_table').dataTable( {
				stateSave: true,
				responsive: true,
				dom: 'B<"clearfix">lfrtip',
				buttons: [ 'copy', 'csv', 'pdf' ],
				footerCallback: function ( row, data, start, end, display ) {
					var api = this.api(), data;

					// Remove the formatting to get integer data for summation
					var intVal = function ( i ) {
						return typeof i === 'string' ?
							i.replace(/[\<?php sa_currency_symbol() ?>,]/g, '')*1 :
							typeof i === 'number' ?
								i : 0;
					};

					footer_total_estimated = api
						.column( 6, { page: 'current'} )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );

					footer_total_subtotal = api
						.column( 7, { page: 'current'} )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );

					// Update footer
					$( '#footer_total_estimated' ).html(
						si_js_object.currency_symbol + footer_total_estimated.toFixed(2)
					);
					$( '#footer_total_subtotal' ).html(
						si_js_object.currency_symbol + footer_total_subtotal.toFixed(2)
					);
				}
			} );

			$("#start_date").change(function() {
				minDateFilter = new Date( this.value ).getTime();
				table.fnDraw();
			});

			$("#end_date").change(function() {
				maxDateFilter = new Date( this.value ).getTime();
				table.fnDraw();
			});

			// Date range filter
			minDateFilter = '';
			maxDateFilter = '';

			$.fn.dataTableExt.afnFiltering.push(
				function(oSettings, aData, iDataIndex) {
					if (typeof aData._date == 'undefined') {
						aData._date = new Date( aData[2] ).getTime()-(new Date( aData[2] ).getTimezoneOffset()*60000);
					}

					if (minDateFilter && !isNaN(minDateFilter)) {
						if (aData._date < minDateFilter) {
							return false;
						}
					}

					if (maxDateFilter && !isNaN(maxDateFilter)) {
						if (aData._date > maxDateFilter) {
							return false;
						}
					}

					return true;
				}
			);

		} );
	});
</script>
