<?php do_action( 'si_settings_page_reports_sub_heading', 'invoices' ); ?>
<div class="tablenav top">
	<div class="alignleft">
		<label><?php esc_html_e( 'From: ', 'sprout-invoices' ) ?><input type="date" name="start_date" id="start_date" value=""></label>
		<label><?php esc_html_e( 'To: ', 'sprout-invoices' ) ?><input type="date" name="end_date" id="end_date" value=""></label>
	</div>
</div>
<table id="si_reports_table" class="stripe hover wp-list-table widefat"> 
	<thead>
		<tr>
			<th><?php esc_html_e( 'ID', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Status', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Issue Date', 'sprout-invoices' ) ?></th>
			<th class="row-title"><?php esc_html_e( 'Subject', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Client', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Invoiced', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Paid', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Tax', 'sprout-invoices' ) ?></th>
			<th><?php esc_html_e( 'Fees', 'sprout-invoices' ) ?></th>
			<?php if ( apply_filters( 'si_show_gst_in_reports', class_exists( 'SI_Hearts_Canada' ) ) ) :  ?>
				<th><?php esc_html_e( 'GST', 'sprout-invoices' ) ?></th>
			<?php endif ?> 
			<?php if ( apply_filters( 'si_show_hst_in_reports', class_exists( 'SI_Hearts_Canada' ) ) ) :  ?>
				<th><?php esc_html_e( 'HST', 'sprout-invoices' ) ?></th>
			<?php endif ?> 
			<th><?php esc_html_e( 'Balance', 'sprout-invoices' ) ?></th>
		</tr>
	</thead>
	<tbody>
		<?php
			$table_total_invoiced = 0;
			$table_total_paid = 0;
			$table_total_fees = 0;
			$table_total_tax = 0;
			$table_gst_total_tax = 0;
			$table_hst_total_tax = 0;
			$table_total_balance = 0;

			$filter = ( isset( $_REQUEST['post_status'] ) ) ? sanitize_text_field( wp_unslash( $_REQUEST['post_status'] ) ) : 'any';

			$showpage = ( isset( $_GET['showpage'] ) ) ? (int) $_GET['showpage'] + 1 : 1 ;
			$args = array(
				'post_type' => SI_Invoice::POST_TYPE,
				'post_status' => $filter,
				'posts_per_page' => apply_filters( 'si_reports_show_records', 2500, 'invoices' ),
				'paged' => $showpage,
				);

			set_time_limit( 0 ); // run script forever
			// Add a progress bar to show table record collection.
			echo '<tr class="odd" id="progress_row"><td valign="top" colspan="8" class="dataTables_empty"><div id="rows_progress" style="width:100%;border:1px solid #ccc;"></div> <div id="table_progress">'.esc_html__( 'Preparing rows...', 'sprout-invoices' ).'</div></td></tr>';

			$records = new WP_Query( $args );

			$i = 0;
			while ( $records->have_posts() ) : $records->the_post();

				// Calculate the percentage
				$i++;
				$percent = intval( $i / $records->found_posts * 100 ).'%';
				// Javascript for updating the progress bar and information
				echo '<script language="javascript" id="progress_js">
				document.getElementById("rows_progress").innerHTML="<div style=\"width:'. esc_attr( $percent ).';background-color:#ddd;\">&nbsp;</div>";
				document.getElementById("table_progress").innerHTML="'.
				// translators: 1: total records to add, 2: records added.
				sprintf( esc_html__( '%o records(s) of %o added.', 'sprout-invoices' ), esc_html( $i ), esc_html( $records->found_posts ) ).'";
				document.getElementById("progress_js").remove();
				</script>';

				$table_total_invoiced += si_get_invoice_calculated_total();
				$table_total_paid += si_get_invoice_payments_total();
				$table_total_fees += si_get_invoice_fees_total();
				$table_total_tax += si_get_invoice_taxes_total();
				$table_total_balance += si_get_invoice_balance();
				$client_name = ( si_get_invoice_client_id() ) ? sprintf( '<a href="%s">%s</a>', get_edit_post_link( si_get_invoice_client_id() ), get_the_title( si_get_invoice_client_id() ) ) : __( 'N/A', 'sprout-invoices' );

				if ( apply_filters( 'si_show_gst_in_reports', class_exists( 'SI_Hearts_Canada' ) ) ) {
					$gst_for_line_item = 0;
					$line_items = si_get_doc_line_items();
					if ( ! empty( $line_items ) ) {
						foreach ( $line_items as $position => $data ) {
							if ( isset( $data['tax_gst'] ) && $data['tax_gst'] ) {
								$gst_for_line_item += SI_Hearts_Canada::calculate_tax( $data, 'tax_gst' );
								$table_gst_total_tax += $gst_for_line_item;
							}
						}
					}
				} if ( apply_filters( 'si_show_hst_in_reports', class_exists( 'SI_Hearts_Canada' ) ) ) {
					$hst_for_line_item = 0;
					$line_items = si_get_doc_line_items();
					if ( ! empty( $line_items ) ) {
						foreach ( $line_items as $position => $data ) {
							if ( isset( $data['tax_hst'] ) && $data['tax_hst'] ) {
								$hst_for_line_item += SI_Hearts_Canada::calculate_tax( $data, 'tax_hst' );
								$table_hst_total_tax += $hst_for_line_item;
							}
						}
					}
				} ?>
				<tr> 
					<td><?php echo esc_html( si_get_invoice_id( get_the_id() ) ) ?></td>
					<td><span class="si_status <?php si_invoice_status() ?>"><?php si_invoice_status() ?></span></td>
					<td><?php si_invoice_issue_date() ?></td>
					<td><?php printf( '<a href="%s">%s</a>', esc_url( get_edit_post_link( get_the_ID() ) ), esc_html( get_the_title( get_the_ID() ) ) ) ?></td>
					<td><?php echo wp_kses( $client_name, SI_Settings_API::get_allowed_html() );  ?></td>
					<td><?php si_invoice_calculated_total() ?></td>
					<td><?php si_invoice_payments_total() ?></td>
					<td><?php sa_formatted_money( si_get_invoice_taxes_total(), get_the_id(), '%s' ) ?></td>
					<td><?php sa_formatted_money( si_get_invoice_fees_total(), get_the_id(), '%s' ) ?></td>
					<?php if ( apply_filters( 'si_show_gst_in_reports', class_exists( 'SI_Hearts_Canada' ) ) ) :  ?>
						<th><?php sa_formatted_money( $gst_for_line_item, get_the_id(), '%s' ) ?></th>
					<?php endif ?>
					<?php if ( apply_filters( 'si_show_hst_in_reports', class_exists( 'SI_Hearts_Canada' ) ) ) :  ?>
						<th><?php sa_formatted_money( $hst_for_line_item, get_the_id(), '%s' ) ?></th>
					<?php endif ?>
					<td><?php si_invoice_balance() ?></td>
				</tr>
				<?php
				// Send output to browser immediately
				flush();
			endwhile;
			// Remove progress row
			echo '<script language="javascript">document.getElementById("progress_row").remove();</script>'; ?>

	</tbody>
	<tfoot>
		<tr>
			<th colspan="5"><?php esc_html_e( 'Totals', 'sprout-invoices' ) ?></th>
			<th><span id="footer_total_invoices"></span>&nbsp;
				<?php 
					printf(
					// translators: 1: total invoiced.
					esc_html__( '(of %s)', 'sprout-invoices' ),
					esc_html( sa_get_formatted_money( $table_total_invoiced ) )
					)
				?>
			</th>
			<th><span id="footer_total_paid"></span>&nbsp;
				<?php 
					printf(
					// translators: 1: total paid.	
					esc_html__( '(of %s)', 'sprout-invoices' ),
					esc_html( sa_get_formatted_money( $table_total_paid ) )
					)
				?>
			</th>
			<th><span id="footer_total_tax"></span>&nbsp;
				<?php
					printf(
					// translators: 1: total tax.
					esc_html__( '(of %s)', 'sprout-invoices' ),
					esc_html( sa_get_formatted_money( $table_total_tax ) )
					)
				?>
			</th>
			<th><span id="footer_total_fees"></span>&nbsp;
				<?php
					printf(
					// translators: 1: total fees.
					esc_html__( '(of %s)', 'sprout-invoices' ),
					esc_html( sa_get_formatted_money( $table_total_fees ) )
					)
				?>
			</th>
			<?php if ( apply_filters( 'si_show_gst_in_reports', class_exists( 'SI_Hearts_Canada' ) ) ) :  ?>
				<th><span id="footer_total_gst"></span>&nbsp;
					<?php
						printf(
						// translators: 1: gst total tax.
						esc_html__( '(of %s)', 'sprout-invoices' ),
						esc_html( sa_get_formatted_money( $table_gst_total_tax ) )
						)
					?>
				</th>
			<?php endif ?>
			<?php if ( apply_filters( 'si_show_hst_in_reports', class_exists( 'SI_Hearts_Canada' ) ) ) :  ?>
				<th><span id="footer_total_hst"></span>&nbsp;
					<?php
						printf(
						// translators: 1: gst total tax.
						esc_html__( '(of %s)', 'sprout-invoices' ),
						esc_html( sa_get_formatted_money( $table_hst_total_tax ) )
						)
					?>
				</th>
			<?php endif ?>
			<th><span id="footer_total_balance"></span>&nbsp;
				<?php
					printf(
					// translators: 1: total balance.
					esc_html__( '(of %s)', 'sprout-invoices' ),
					esc_html( sa_get_formatted_money( $table_total_balance ) )
					)
				?>
			</th>
		</tr>
	</tfoot>
</table>

<script type="text/javascript" charset="utf-8">
	jQuery(function($) {
		$(document).ready(function() {
			var table = $('#si_reports_table').dataTable( {
				stateSave: true,
				responsive: true,
				dom: 'B<"clearfix">lfrtip',
				buttons: [ 'copy', 'csv', 'pdf' ],
				footerCallback: function ( row, data, start, end, display ) {
					var api = this.api(), data;
		 
					// Remove the formatting to get integer data for summation
					var intVal = function ( i ) {
						return typeof i === 'string' ?
							i.replace(/[\<?php sa_currency_symbol() ?>,]/g, '')*1 :
							typeof i === 'number' ?
								i : 0;
					};
		 
					// Invoiced total over this page
					pageTotal = api
						.column( 5, { page: 'current'} )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );

					// Paid total over this page
					pagePaid = api
						.column( 6, { page: 'current'} )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );

					// Tax over this page
					pageTax = api
						.column( 7, { page: 'current'} )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );

					// Tax over this page
					pageFees = api
						.column( 8, { page: 'current'} )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );

				<?php if ( apply_filters( 'si_show_gst_in_reports', class_exists( 'SI_Hearts_Canada' ) ) ) :  ?>
						// Balance over this page
						pageGST = api
							.column( 9, { page: 'current'} )
							.data()
							.reduce( function (a, b) {
								return intVal(a) + intVal(b);
							}, 0 );

						$( '#footer_total_gst' ).html(
							si_js_object.currency_symbol + pageGST.toFixed(2)
						);

						// Balance over this page
						pageBalance = api
							.column( 10, { page: 'current'} )
							.data()
							.reduce( function (a, b) {
								return intVal(a) + intVal(b);
							}, 0 );
				<?php elseif ( apply_filters( 'si_show_hst_in_reports', class_exists( 'SI_Hearts_Canada' ) ) ) :  ?>
						// Balance over this page
						pageGST = api
							.column( 9, { page: 'current'} )
							.data()
							.reduce( function (a, b) {
								return intVal(a) + intVal(b);
							}, 0 );

						$( '#footer_total_hst' ).html(
							si_js_object.currency_symbol + pageGST.toFixed(2)
						);

						// Balance over this page
						pageBalance = api
							.column( 10, { page: 'current'} )
							.data()
							.reduce( function (a, b) {
								return intVal(a) + intVal(b);
							}, 0 );

					<?php else : ?>
						// Balance over this page
						pageBalance = api
							.column( 9, { page: 'current'} )
							.data()
							.reduce( function (a, b) {
								return intVal(a) + intVal(b);
							}, 0 );
					<?php endif ?>
		 
					// Update footer
					$( '#footer_total_invoices' ).html(
						si_js_object.currency_symbol + pageTotal.toFixed(2)
					);
					$( '#footer_total_paid' ).html(
						si_js_object.currency_symbol + pagePaid.toFixed(2)
					);
					$( '#footer_total_tax' ).html(
						si_js_object.currency_symbol + pageTax.toFixed(2)
					);
					$( '#footer_total_fees' ).html(
						si_js_object.currency_symbol + pageFees.toFixed(2)
					);
					$( '#footer_total_balance' ).html(
						si_js_object.currency_symbol + pageBalance.toFixed(2)
					);
				}
			} );

			$("#start_date").change(function() {	
				minDateFilter = new Date( this.value ).getTime();
				table.fnDraw();
			});

			$("#end_date").change(function() {
				maxDateFilter = new Date( this.value ).getTime();
				table.fnDraw();
			});

			// Date range filter
			minDateFilter = '';
			maxDateFilter = '';

			$.fn.dataTableExt.afnFiltering.push(
				function(oSettings, aData, iDataIndex) {
					if (typeof aData._date == 'undefined') {
						aData._date = new Date( aData[2] ).getTime()-(new Date( aData[2] ).getTimezoneOffset()*60000);
					}

					if (minDateFilter && !isNaN(minDateFilter)) {
						if (aData._date < minDateFilter) {
							return false;
						}
					}

					if (maxDateFilter && !isNaN(maxDateFilter)) {
						if (aData._date > maxDateFilter) {
							return false;
						}
					}

					return true;
				}
			);

		} );
	});
</script>
