<div class="wrap">
	<div id="si-page-container" class="si-page-container">
		<div id="si-page-top">
			<?php do_action( 'sprout_settings_header' ); ?>
		</div>
		<div class="wp-header-end"></div>
		<div id="si-page-content">
			<h2 class="nav-tab-wrapper">
				<?php
					$ifactive = ( isset( $_GET['page'] ) && 'sprout-invoices' === $_GET['page'] ) ? 'nav-tab-active' : '';
				?>
				<a class="nav-tab <?php echo esc_attr( $ifactive ); ?>" href="<?php echo esc_attr( admin_url( 'admin.php?page=sprout-invoices' ) ); ?>"><?php esc_html_e( 'Getting Started', 'sprout-invoices' ); ?></a>
				<?php foreach ( $sub_pages as $slug => $subpage ) : ?>
					<?php
						$ifactive = ( isset( $_GET['page'] ) && 'sprout-invoices-' . $slug === $_GET['page'] ) ? 'nav-tab-active' : '';
					?>
					<a class="nav-tab <?php echo esc_attr( $ifactive ); ?>" href="<?php echo esc_attr( admin_url( 'admin.php?page=sprout-invoices-' . $slug ) ); ?>"><?php esc_html_e( $subpage['menu_title'] ); ?></a>
				<?php endforeach ?>
			</h2>
			<div id="si_dashboard" class="wrap about-wrap">

				<div id="si_settings" class="welcome_content clearfix">

					<?php do_action( 'sprout_settings_messages' ) ?>

					<h1 class="headline_callout"><?php esc_html_e( 'Welcome to Sprout Invoices', 'sprout-invoices' ) ?></h1>

					<p class="heading_desc"><?php esc_html_e( 'Thank you for downloading the free version of Sprout Invoices. For those new to Sprout Invoices below is a quick way to register your site, review how SI can help you get paid, and a checklist of items to complete your setup to make things easier.', 'sprout-invoices' ) ?></p>

					<?php if ( false === SI_Free_License::license_status() ) : ?>

					<div class="license-overview">

						<div class="activate_message clearfix">

							<div id="mascot_start">
								<img src="<?php echo esc_attr( SI_RESOURCES . 'admin/img/sprout/got-it.png' ) ?>" title="Hi! My name is Sprout."/>
							</div><!-- #mascot_start -->

							<div id="si_activate_wrap">

								<h3><?php esc_html_e( 'Register Your Site First', 'sprout-invoices' ) ?></h3>

								<div class="activation_inputs clearfix">
									<input type="text" name="<?php echo esc_attr( SI_Free_License::LICENSE_KEY_OPTION ) ?>" id="<?php echo esc_attr( SI_Free_License::LICENSE_KEY_OPTION ) ?>" value="<?php echo esc_attr( SI_Free_License::license_key() ) ?>" class="text-input fat-input <?php echo esc_attr( 'license_'.SI_Free_License::license_status() ) ?>" size="40" placeholder="<?php esc_html_e( 'Enter Email Address', 'sprout-invoices' ) ?>">

									<button id="activate_license" class="si_admin_button lg" v-on:click="activateLicense('si_get_license')" v-bind:disabled='isSaving'><?php esc_html_e( 'Generate License', 'sprout-invoices' ) ?></button>

									<img
										v-if='isSaving == true'
										id='loading-indicator' src='<?php get_site_url() ?>/wp-admin/images/wpspin_light-2x.gif' alt='Loading indicator' />

									<span id="si_html_message"></span>

									<span class="input_desc help_block"><?php printf( 'This email will be securly sent to <a href="%s">sproutinvoices.com</a> and not be shared.', esc_url( si_get_sa_link( 'https://sproutinvoices.com/account/' ) ) ) ?></span>
								</div>


								<p class="activation_msg clearfix">
									<?php
										printf(
										esc_html__( 'Generating a free license key is not required but takes seconds! Your email will only be used to create a unique Sprout Invoices license key that will allow for some future advanced features. Only one email will be sent from the founder to help you get started.', 'sprout-invoices' ),
										esc_url( si_get_sa_link( 'https://sproutinvoices.com/support/terms/' ) )
										);
									?>
								</p>
							</div><!-- #activate_wrap -->
						</div>
					</div>

					<?php endif ?>

				</div>

				<div class="welcome_content">
					<div class="workflow-overview">

						<h2 class="subheadline_callout"><?php esc_html_e( 'Create and Send Your First Invoice', 'sprout-invoices' ) ?></h2>

						<p class="heading_desc">
							<?php
								printf(
									// translators: 1: Opening a tag, 2: link, 3: closing href, 4: closing a tag.
									esc_html__( 'Here\'s a quick video on how to create your first invoice. If you\'re interested we have a growing library of support videos %1$s%2$s%3$shere.%4$s', 'sprout-invoices' ),
									"<a href='",
									'https://www.youtube.com/channel/UCB9QjvGY_f_ayxtPNGhr7Xw/videos',
									"'>",
									'</a>'
								)
							?>
						</p>
						<iframe width="100%" height="500" src="https://www.youtube-nocookie.com/embed/_Y73TchithM?rel=0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

					</div>

				</div>

				<div class="welcome_content">


					<div class="workflow-overview">

						<h2 class="subheadline_callout"><?php esc_html_e( 'Contact Forms and Getting Paid', 'sprout-invoices' ) ?></h2>

						<div class="feature-section col three-col clearfix">
							<div class="col-1">
								<span class="flow_icon icon-handshake"></span>
								<h4><?php esc_html_e( 'Requests', 'sprout-invoices' ); ?></h4>
								<p>
									<?php
										printf(
										// translators: 1: opening a tag, 2: form integration link, 3: closing href, 4: closing a tag.
										esc_html__( 'Receiving estimate requests on your site is simplified with Sprout Invoices and one of the %1$s%2$s%3$smajor WordPress form builder integrations%4$s, e.g. Gravity Forms, WPForms, Ninja Forms, and Formidable.', 'sprout-invoices' ),
										'<a href="',
										'https://sproutinvoices.com/sprout-invoices/integrations/sprout-invoices-premium-form-integrations/',
										'">',
										'</a>'
										);
									?>
								</p>
								<p><?php esc_html_e( "If you're not accepting estimate or invoice requests on your site skip over to creating your first invoice below.", 'sprout-invoices' ); ?></p>
								<p>
									<?php
										printf(
										// translators: 1: opening a tag, 2:closing a tag.
										esc_html__( '%1$sDownload Integrations%2$s', 'sprout-invoices' ),
										"<a href='https://sproutinvoices.com/sprout-invoices/integrations/sprout-invoices-premium-form-integrations/' target='_blank' class='si_admin_button si_muted'>",
										'</a>'
										);
									?>
								</p>
							</div>
							<div class="col-2">
								<span class="flow_icon icon-sproutapps-estimates"></span>
								<h4><?php esc_html_e( 'Estimating', 'sprout-invoices' ); ?></h4>
								<p>
									<?php
										printf(
										// translators: 1: opening a tag, 2: link to estimate, 3: closing href tag, 4: closing a tag, 5: opening a tag, 6: link to estimate, 7: closing href tag, 8: closing a tag.
										esc_html__( 'After a request from a form builder is submitted an %1$s%2$s%3$sestimate%4$s is automatically created. To help complete the estimate so you can send it to your client a %5$s%6$s%7$snotification%8$s is sent immediatly after this new estimate is created.', 'sprout-invoices' ),
										'<a href="',
										esc_url( admin_url( 'post-new.php?post_type='.SI_Estimate::POST_TYPE ) ),
										'">',
										'</a>',
										'<a href="',
										esc_url( admin_url( 'admin.php?page=sprout-invoices-notifications' ) ),
										'">',
										'</a>'
										);
									?>
								</p>
								<p>
									<?php
										printf(
										// translators: 1: open a tag 2: closing a tag.
										esc_html__( '%1$sDocumentation%2$s', 'sprout-invoices' ),
										"<a href='https://sproutinvoices.com/support/knowledgebase/sprout-invoices/estimates/' target='_blank' class='si_admin_button si_muted'>",
										'</a>'
										);
									?>
								</p>
							</div>
							<div class="col-3 last-feature">
								<span class="flow_icon icon-sproutapps-invoices"></span>
								<h4><?php esc_html_e( 'Invoicing', 'sprout-invoices' ); ?></h4>
								<p>
									<?php
										printf(
										// translators: 1: opening a tag, 2: invoice link, 3: closing href, 4: closing a tag.
										esc_html__( 'After any estimate is accepted an %1$s%2$s%3$sinvoice%4$s is automatically created and another notification is sent letting you know. You can finalize some details and send it to your client for a payment, including a depsoit payment.', 'sprout-invoices' ),
										'<a href="',
										esc_url( admin_url( 'post-new.php?post_type='.SI_Invoice::POST_TYPE ) ),
										'">',
										'</a>'
										);
									?>
								</p>
								<p>
									<?php
										printf(
										// translators: 1: open a tag 2: closing a tag.
										esc_html__( '%1$sDocumentation%2$s', 'sprout-invoices' ),
										"<a href='https://sproutinvoices.com/support/knowledgebase/sprout-invoices/invoices/' target='_blank' class='si_admin_button si_muted'>",
										'</a>'
										);
									?>
								</p>
							</div>
						</div>

					</div>
				</div>

				<div class="welcome_content">

					<h2 class="subheadline_callout"><?php esc_html_e( 'Some FAQs', 'sprout-invoices' ) ?></h2>

					<div class="feature-section col three-col clearfix">
						<div>
							<h4><?php esc_html_e( 'Where do I start?', 'sprout-invoices' ); ?></h4>
							<p>
								<ol>
								<li>
										<?php
											printf(
											// translators: 1: opening a tag, 2: sprout settings link, 3: closing href, 4: closing a tag.
											esc_html__( 'While Sprout Invoices tried to set some good defaults you\'ll need to go to %1$s%2$s%3$sGeneral%4$s Settings and finish settings things up.', 'sprout-invoices' ),
											'<a href="',
											esc_url( admin_url( 'admin.php?page=sprout-invoices-settings' ) ),
											'">',
											'</a>'
											);
										?>
									</li>
									<li>
										<?php
											printf(
											// translators: 1: opening a tag, 2: sprout payment settings link, 3: closing href, 4: closing a tag.
											esc_html__( 'Setup a %1$s%2$s%3$sPayment Processor%4$s so you can start collecting money! Don\'t forget to test since you don\'t want to let your client find out you\'ve configured things incorrectly.', 'sprout-invoices' ),
											'<a href="',
											esc_url( admin_url( 'admin.php?page=sprout-invoices-payments' ) ),
											'">',
											'</a>'
											);
										?>
									</li>
									<li>
										<?php
											printf(
											// translators: 1: opening a tag, 2: invoice notifications settings link, 3: closing href, 4: closing a tag.
											esc_html__( 'There are a lot of %1$s%2$s%3$snotifications%4$s sent throughout the entire client project process, make sure they have your personality and represent your brand well.', 'sprout-invoices' ),
											'<a href="',
											esc_url( admin_url( 'admin.php?page=sprout-invoices-notifications' ) ),
											'">',
											'</a>'
											);
										?>
									</li>
									<li>
										<?php
											printf(
											// translators: 1: opening a tag, 2: invoice import link, 3: closing href, 4: closing a tag.
											esc_html__( 'Start %1$s%2$s%3$simporting%4$s your data from other services (i.e. WP-Invoice, Freshbooks or Harvest).', 'sprout-invoices' ),
											'<a href="',
											esc_url( admin_url( 'admin.php?page=sprout-invoices-import' ) ),
											'">',
											'</a>'
											);
										?>
									</li>
									<li><?php esc_html_e( 'Grow your business while not forgetting about your loved ones...and the occasional round of golf.', 'sprout-invoices' ) ?></li>
								</ol>
								<p>
									<?php
										printf(
										// translators: 1: open a tag 2: closing a tag.
										esc_html__( '%1$sDocumentation%2$s', 'sprout-invoices' ),
										'<a href="https://sproutinvoices.com/support/knowledgebase/sprout-invoices/sprout-invoices-getting-started/" target="_blank" class="si_admin_button si_muted">',
										'</a>'
										);
									?>
								</p>
							</p>
						</div>
						<div>

						<h4><?php esc_html_e( 'Clients &amp; WordPress Users?', 'sprout-invoices' ); ?></h4>
							<p>
								<?php
									printf(
									// translators: 1: opening a tag, 2: sprout clients link, 3: closing href, 4: closing a tag.
									esc_html__( '%1$s%2$s%3$sClients%4$s have WordPress users associated with them and clients are not limited to a single user either. This allows for you to have multiple points of contact for a company/client.', 'sprout-invoices' ),
									'<a href="',
									esc_url( admin_url( 'edit.php?post_type=sa_client' ) ),
									'">',
									'</a>'
									);
								?>
							</p>
							<p>
								<?php
									printf(
									// translators: 1: open a tag 2: closing a tag.
									esc_html__( '%1$sDocumentation%2$s', 'sprout-invoices' ),
									'<a href="https://sproutinvoices.com/support/knowledgebase/sprout-invoices/clients/" target="_blank" class="si_admin_button si_muted">',
									'</a>'
									);
								?>
							</p>
							<h4><?php esc_html_e( 'What are Predefined Line Items?', 'sprout-invoices' ); ?></h4>
							<p><?php esc_html_e( "Predefined line-items help with the creation of your estimates and invoices by pre-filling line items. Create some tasks that matter to your business before creating your first estimate or invoice and you'll see how they can save you a lot of time.", 'sprout-invoices' ); ?></p>
							<p>
								<?php
									printf(
									// translators: 1: open a tag 2: closing a tag.
									esc_html__( '%1$sDocumentation%2$s', 'sprout-invoices' ),
									'<a href="https://sproutinvoices.com/support/knowledgebase/sprout-invoices/invoices/predefined-tasks-line-items/" target="_blank" class="si_admin_button si_muted">',
									'</a>'
									);
								?>
							</p>
							<h4><?php esc_html_e( 'How well am I doing?', 'sprout-invoices' ); ?></h4>
							<p>
								<?php
									printf(
									// translators: 1: opening a tag, 2: sprout invoice reports link, 3: closing href, 4: closing a tag.
									esc_html__( 'The %1$s%2$s%3$sReports Dashboard%4$s should key you on how well you\'re growing your business. There are reports for the estimates, invoices, payments and clients available for filtering and exporting.', 'sprout-invoices' ),
									'<a href="',
									esc_url( admin_url( 'admin.php?page=sprout-invoices-reports' ) ),
									'">',
									'</a>'
									);
								?>
							</p>
							<p>
								<?php
									printf(
									// translators: 1: open a tag 2: closing a tag.
									esc_html__( '%1$sDocumentation%2$s', 'sprout-invoices' ),
									'<a href="https://sproutinvoices.com/support/knowledgebase/sprout-invoices/reports/" target="_blank" class="si_admin_button si_muted">',
									'</a>'
									);
								?>
							</p>
						</div>
						<div class="last-feature">
						<h4><?php esc_html_e( 'Can I import from X service or WP-Invoice?', 'sprout-invoices' ); ?></h4>
							<p><?php esc_html_e( 'Yes! WP-Invoice, Harvest and Freshbooks importers are now available.', 'sprout-invoices' ); ?></p>
							<p>
								<?php
									printf(
									// translators: 1: open a tag 2: closing a tag.
									esc_html__( '%1$sDocumentation%2$s', 'sprout-invoices' ),
									'<a href="https://sproutinvoices.com/support/knowledgebase/sprout-invoices/sprout-invoices-getting-started/importing/" target="_blank" class="si_admin_button si_muted">',
									'</a>'
									);
								?>
							</p>
							<h4><?php esc_html_e( 'I need help! Where is the support?', 'sprout-invoices' ); ?></h4>
							<p>
								<?php
									printf(
									// translators: 1: opening a tag, 2: link to support, 3: closing href tag, 4: closing a tag, 5: opening a tag, 6: link to knowledgebase, 7: closing href tag, 8: closing a tag.
									esc_html__( 'We want to make sure using Sprout Invoices is enjoyable and not a hassle. Sprout Invoices has some pretty awesome %1$s%2$s%3$ssupport%4$s and a budding %5$s%6$s%7$sknowledgebase%8$s that will help you get anything resolved.', 'sprout-invoices' ),
									'<a href="',
									'https://sproutinvoices.com/support/',
									'">',
									'</a>',
									'<a href="',
									'https://sproutinvoices.com/support/knowledgebase/',
									'">',
									'</a>'
									);
								?>
							</p>
							<p>
								<?php
									printf(
										// translators: 1: opening a tag, 2: link to support, 3: closing href tag, 4: closing a tag.
										esc_html__( '%1$s%2$s%3$sSupport%4$s', 'sprout-invoices' ),
										'<a href="',
										esc_url( si_get_sa_link( 'https://sproutinvoices.com/support/' ) ),
										'" target="_blank" class="si_admin_button si_muted">',
										'</a>'
									);
								?>
								&nbsp;
								<?php
									printf(
									// translators: 1: open a tag 2: closing a tag.
									esc_html__( '%1$sDocumentation%2$s', 'sprout-invoices' ),
									'<a href="https://sproutinvoices.com/support/knowledgebase/sprout-invoices/" target="_blank" class="si_admin_button si_muted">',
									'</a>'
									);
								?>
							</p>
						</div>
					</div>

				</div>

			</div>
		</div>
	</div>
</div>
