<?php

/**
 * DO NOT EDIT THIS FILE! Instead customize it via a theme override.
 *
 * Any edit will not be saved when this plugin is upgraded. Not upgrading will prevent you from receiving new features,
 * limit our ability to support your site and potentially expose your site to security risk that an upgrade has fixed.
 *
 * Theme overrides are easy too, so there's no excuse...
 *
 * https://sproutinvoices.com/support/knowledgebase/sprout-invoices/customizing-templates/
 *
 * You find something that you're not able to customize? We want your experience to be awesome so let support know and we'll be able to help you.
 *
 */
wp_enqueue_style( 'roboto-css', 'https://fonts.googleapis.com/css?family=Roboto:400,500,700,900', false, '1.0' );
do_action( 'pre_si_pdf_estimate_view' ); ?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<html>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		<title><?php the_title() ?></title>
		<link rel="profile" href="http://gmpg.org/xfn/11" />

		<?php si_head( true ); ?>

		<meta name="robots" content="noindex, nofollow" />

		<style type="text/css">
			#notes {
				padding-bottom: 10px;
			}
		</style>
	</head>

	<body id="estimate" <?php body_class( 'si_basic_theme' ); ?>>
		<header class="row" id="header">
			<div class="inner">

				<div class="row intro">

					<div id="logo">
						<?php if ( get_theme_mod( 'si_logo' ) ) : ?>
							<img src="<?php echo esc_url( get_theme_mod( 'si_logo', si_doc_header_logo_url() ) ); ?>" alt="document logo" >
						<?php else : ?>
							<img src="<?php echo esc_url( si_doc_header_logo_url() ) ?>" alt="document logo" >
						<?php endif; ?>
					</div><!-- #logo -->


					<div id="title">

						<div class="current_status">
							<?php if ( 'temp' === si_get_estimate_status() ) : ?>
								<span><?php esc_html_e( 'Not Yet Published', 'sprout-invoices' ) ?></span>
							<?php elseif ( 'approved' === si_get_estimate_status() ) : ?>
								<span><?php esc_html_e( 'Approved', 'sprout-invoices' ) ?></span>
							<?php else : ?>
								<span><?php esc_html_e( 'Pending Approval', 'sprout-invoices' ) ?></span>
							<?php endif; ?>
						</div>

						<h1><?php the_title() ?></h1>

					</div><!-- #title -->

				</div>
			</div>
		</header>



		<section class="row" id="intro">
			<div class="inner">
				<div class="column">

					<h2><?php esc_html_e( 'From', 'sprout-invoices' ) ?></h2>

					<h3><?php si_company_name() ?></h3>

					<?php si_doc_address() ?>

					<?php if ( si_get_company_phone() ) : ?>
						<div class="company_info">
							<?php
								printf(
								// translators: 1: phone number
								esc_html__( 'Phone: %1$s', 'sprout-invoices' ),
								esc_html( si_get_company_phone() )
								)
							?>
						</div>
					<?php endif ?>

					<?php if ( si_get_company_fax() ) : ?>
						<div class="company_info">
							<?php
								printf(
								// translators: 1: company fax number
								esc_html__( 'Fax: %1$s', 'sprout-invoices' ),
								esc_html( si_get_company_fax() )
								)
							?>
						</div>
					<?php endif ?>

					<?php if ( si_get_company_email() ) : ?>
						<div class="company_info">
							<?php
								printf(
								// translators: 1: company email
								esc_html__( '%1$s', 'sprout-invoices' ),
								esc_html( si_get_company_email() )
								)
							?>
						</div>
					<?php endif ?>

					<?php if ( si_get_estimate_client_id() ) :  ?>

						<h2 class="client_to"><?php esc_html_e( 'To', 'sprout-invoices' ) ?></h2>

						<div id="client_info">

							<h3><?php echo esc_html( get_the_title( si_get_estimate_client_id() ) ) ?></h3>

							<?php si_client_address( si_get_estimate_client_id() ) ?>

							<?php if ( si_get_client_phone() ) : ?>
								<div class="company_info">
									<?php
										printf(
										// translators: 1: client phone
										esc_html__( 'Phone: %1$s', 'sprout-invoices' ),
										esc_html( si_get_client_phone() )
										)
									?>
								</div>
							<?php endif ?>

							<?php if ( si_get_client_fax() ) : ?>
								<div class="company_info">
									<?php
										printf(
										// translators: 1: client fax
										esc_html__( 'Fax: %1$s', 'sprout-invoices' ),
										esc_html( si_get_client_fax() )
										)
									?>
								</div>
							<?php endif ?>

							<?php do_action( 'si_document_client_addy' ) ?>


						</div><!-- #client_info -->

					<?php endif ?>
					<?php do_action( 'si_document_vcards' ) ?>

				</div>

				<div class="column">

					<div class="invoice_info">
						<?php
							printf( '<span class="info">%1$s</span> %2$s',
							esc_html__( 'Invoice #', 'sprout-invoices' ),
							esc_html( si_get_invoice_id() )
							)
						?>
					</div>

					<?php if ( si_get_estimate_po_number() ) : ?>
						<div class="invoice_info">
							<?php
								printf( '<span class="info">%1$s</span> %2$s',
								esc_html__( 'PO #', 'sprout-invoices' ),
								esc_html( si_get_invoice_po_number() )
								)
							?>
						</div>
					<?php endif ?>

					<div class="invoice_info">
						<?php
							printf( '<span class="info">%1$s</span> %2$s',
							esc_html__( 'Issued on', 'sprout-invoices' ),
							esc_html( date_i18n( get_option( 'date_format' ), si_get_invoice_issue_date() ) )
							)
						?>
					</div>

					<div class="invoice_info">
						<?php
							printf( '<span class="info">%1$s</span> %2$s',
							esc_html__( 'Expires on', 'sprout-invoices' ),
							esc_html( date_i18n( get_option( 'date_format' ), si_get_estimate_expiration_date() ) )
							)
						?>
					</div>
					<div id="total_due" class="invoice_info">
						<?php
							printf( '<span class="info">%1$s</span> <span class="total">%2$s</span>',
							esc_html__( 'Total Estimated', 'sprout-invoices' ),
							esc_html( sa_get_formatted_money( si_get_estimate_total() ) )
							)
						?>
					</div>

				</div>

			</div>
		</section>

		<section class="row" id="details">
			<div class="inner">
				<div class="row item">
					<?php do_action( 'si_document_more_details' ) ?>
				</div>
			</div>
		</section>

		<?php do_action( 'si_doc_line_items', get_the_id() ) ?>


		<section class="row" id="notes">
			<div class="inner">
				<?php if ( strlen( si_get_estimate_notes() ) > 1 ) : ?>
					<div class="row title">
						<h2><?php esc_html_e( 'Info &amp; Notes', 'sprout-invoices' ) ?></h2>
					</div>
					<div class="row content">
						<?php si_estimate_notes() ?>
					</div>
				<?php endif ?>

				<?php if ( strlen( si_get_estimate_terms() ) > 1 ) : ?>

					<div class="row title">
						<h2><?php esc_html_e( 'Terms &amp; Conditions', 'sprout-invoices' ) ?></h2>
					</div>
					<div class="row content">
						<?php si_estimate_terms() ?>
					</div>
				<?php endif; ?>
			</div>

		</section>

	</body>
	<?php do_action( 'si_document_footer' ) ?>
	<?php si_footer() ?>

</html>
